Add Defined Entity Type Access
Adds an access control configuration of an entity type's behavior
Adds an access control configuration of an entity type's behavior
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviorAccessControls
COPY
Path Parameters
string
id
Required
id
Request Body
BehaviorAccess
of type(s)
application/json
Required
{
"behaviorId": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
"accessLevelId": "urn:vcloud:accessLevel:ReadOnly"
}
string
behaviorId
Optional
The ID of the Behavior. It can be both a behavior-interface or an overriden behavior-type ID.
string
accessLevelId
Optional
The ID of an AccessLevel.
Responses
200
Ok
Returns
BehaviorAccess
of type(s)
application/json;version=9.1.0
{
"behaviorId": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
"accessLevelId": "urn:vcloud:accessLevel:ReadOnly"
}
400
Invalid configuration.
Returns
Error
of type(s)
application/json;version=9.1.0
{
"minorErrorCode": "string",
"message": "string",
"stackTrace": "string"
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviorAccessControls
Availability
Added in 35.0
On This Page
Defined Interface Behaviors Operations
GET
Get Defined Entity Type Behaviors
GET
Get Type Behavior
GET
Get Defined Entity Type Access
POST
Add Defined Entity Type Access
PUT
Set Defined Entity Type Access
GET
Get Interface Behaviors
GET
Get Interface Behavior
POST
Invoke Static Behavior
GET
Get Static Behavior Execution Log
POST
Invoke Defined Entity Behavior
GET
Get Behavior Execution Log